org.deidentifier.arx.gui.view.impl.define

## Class LayoutDefinition

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.define.LayoutDefinition

All Implemented Interfaces:
  ILayout

    public class LayoutDefinition
    extends java.lang.Object
    implements ILayout

This class implements the layout for the data definition perspective.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`LayoutDefinition(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutDefinition

    public LayoutDefinition(org.eclipse.swt.widgets.Composite parent,
                            Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -